summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian Dolbec <dolsen@gentoo.org>2016-12-24 13:01:51 -0800
committerBrian Dolbec <dolsen@gentoo.org>2016-12-24 13:16:59 -0800
commitea9ead198ad6d9520ff421447174eb9e096a8edd (patch)
tree71089c26b15ad50ff21db26e6cd109e18fcbc148 /dev-python/txgithub
parentdev-python/hyper-h2: Version bump (diff)
downloadgentoo-ea9ead198ad6d9520ff421447174eb9e096a8edd.tar.gz
gentoo-ea9ead198ad6d9520ff421447174eb9e096a8edd.tar.bz2
gentoo-ea9ead198ad6d9520ff421447174eb9e096a8edd.zip
dev-python/txgithub: Fix twisted dep, add python_test()
Package-Manager: Portage-2.3.3_p7, Repoman-2.3.1 Signed-off-by: Brian Dolbec <dolsen@gentoo.org>
Diffstat (limited to 'dev-python/txgithub')
-rw-r--r--dev-python/txgithub/txgithub-15.0.0-r1.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/dev-python/txgithub/txgithub-15.0.0-r1.ebuild b/dev-python/txgithub/txgithub-15.0.0-r1.ebuild
new file mode 100644
index 000000000000..64622741465d
--- /dev/null
+++ b/dev-python/txgithub/txgithub-15.0.0-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils distutils-r1
+
+DESCRIPTION="GitHub API client implemented using Twisted"
+HOMEPAGE="https://github.com/tomprince/txgithub https://pypi.python.org/pypi/txgithub"
+SRC_URI="https://github.com/tomprince/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="
+ || ( >=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
+ ( >=dev-python/twisted-core-12.3.0[${PYTHON_USEDEP}]
+ >=dev-python/twisted-web-12.3.0[${PYTHON_USEDEP}] )
+ )
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+python_test() {
+ PYTHONPATH="${S}/test:${BUILD_DIR}/lib" py.test -v || die "Tests failed under ${EPYTHON}"
+}